%global _empty_manifest_terminate_build 0
Name:           perl-Module-Signature
Version:        0.88
Release:        1
Summary:        Module signature file manipulation
License:        CC0 1.0 Universal
Group:          Development/Libraries
URL:            https://metacpan.org/release/Module-Signature/
Source0:        https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/Module-Signature-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.005
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Test::More)
BuildRequires:  gpgme
Requires:       perl(File::Temp)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
Module::Signature adds cryptographic authentications to CPAN distributions,
via the special SIGNATURE file.
%package help
Summary : Module signature file manipulation
Provides: perl-Module-Signature-doc
%description help
Module::Signature adds cryptographic authentications to CPAN distributions,
via the special SIGNATURE file.
%prep
%setup -q -n Module-Signature-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc ANDK2020.pub AUDREYT2018.pub AUTHORS Changes NIKLASHOLM2018.pub PAUSE2022.pub README
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Sun Feb 04 2024 woody2918 <wudi1@uniontech.com> 0.88-1
- update version to 0.88
- Update PAUSE keys to 2022.

* Sat Jul 31 2021 bzhaoop <bzhaojyathousandy@gmail.com> 0.87-2
- Fix the build dependency for gpg not found issue.

* Mon Mar 08 2021 Perl_Bot <Perl_Bot@openeuler.org> 0.87-1
- Specfile autogenerated by Perl_Bot
